<?php
namespace Bss\ImportExportCore\Block\Adminhtml\Export\Before;

/**
 * Interceptor class for @see \Bss\ImportExportCore\Block\Adminhtml\Export\Before
 */
class Interceptor extends \Bss\ImportExportCore\Block\Adminhtml\Export\Before implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\ImportExport\Model\Export\ConfigInterface $exportConfig, \Magento\ImportExport\Model\Export\Entity\Factory $entityFactory, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $exportConfig, $entityFactory, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
